Subject: bug#2190: 23.0.90; Repeated composed characters are displayed wrong.

From: Jason Rumney <[email-masked]>
Date: Wed, 04 Feb 2009 22:20:37 +0900

Jason Rumney wrote:
> YAMAMOTO Mitsuharu wrote:
>> Steps to reproduce:
>>   1. $ emacs -Q
>>   2. (insert 101 769 101 769 101 769) C-j
>>
>> Result:
>>   Only one composed character is shown.
>>   
>
> Here (on Windows), I initially see two, but one disappears after I C-u 
> C-x = on it.

In addition to the above, I see all three composed characters if I move 
point through them a character at a time. This shows that the position 
of the following nil is off by one also (but corrects as I move 
through). C-l  results in one composed character being shown with the 
position of the following nil being off by two.